<h1 align="center">
AgentStudio
</h1>

## Installation

Install requirements:

```bash
apt-get install gnome-screenshot xclip xdotool  # If using Ubuntu 22.04
conda create --name agent-studio python=3.11 -y
conda activate agent-studio
pip install -e '.[client]'
```

All confidential API keys should be stored in `agent_studio/config/api_key.json`, e.g., OpenAI API key, Claude API key, Gemini API key, etc. We have provided an example config in `agent_studio/config/api_key_template.json`.

## Online Benchmarks

See [eval_online_benchmarks/README.md](eval_online_benchmarks/README.md).

## Decomposing Agent Abilities

See [eval_agent_desiderata/README.md](eval_agent_desiderata/README.md).

## Record GUI Data, Trajectories, and Videos

We have provided examples of both our GUI and CLI tools in the paper. Some instructions are also provided in [agent_studio/recorder/README.md](agent_studio/recorder/README.md).
